summaryrefslogtreecommitdiffstats
path: root/fish/test-prep.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fish/test-prep.sh')
-rwxr-xr-xfish/test-prep.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/fish/test-prep.sh b/fish/test-prep.sh
new file mode 100755
index 00000000..e75b9d41
--- /dev/null
+++ b/fish/test-prep.sh
@@ -0,0 +1,33 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2012 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+rm -f test*.img
+
+# It would be nice if we could keep this automatically in sync
+# with the prepared disk types. XXX
+./guestfish \
+ -N disk -N part -N fs \
+ -N lv:/dev/VG1/LV \
+ -N lvfs:/dev/VG2/LV \
+ -N bootroot \
+ -N bootrootlv:/dev/VG3/LV \
+ exit
+
+rm test*.img